libdvbv5: dvb_table_sdt_service Struct Reference

libdvbv5 1.26.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_table_sdt_service Struct Reference
Digital TV table parsing

MPEG-TS SDT service table. More...

`#include <sdt.h>`

## Data Fields
uint16_t | service_id
uint8_t | EIT_present_following:1
uint8_t | EIT_schedule:1
uint8_t | reserved:6
union { |
uint16_t bitfield |
struct { |
uint16_t desc_length:12 |
uint16_t free_CA_mode:1 |
uint16_t running_status:3 |
} |  |
}; |  |
struct dvb_desc * | descriptor
struct dvb_table_sdt_service * | next

## Detailed Description

MPEG-TS SDT service table.

Parameters

  service_id | service id
  EIT_present_following | EIT present following
  EIT_schedule | EIT schedule
  desc_length | desc length
  free_CA_mode | free CA mode
  running_status | running status
  descriptor | pointer to struct dvb_desc
  next | pointer to struct dvb_table_sdt_service

This structure is used to store the original SDT service table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_sdt_service::descriptor (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 87 of file sdt.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_table_sdt_service

## ◆ bitfield

uint16_t dvb_table_sdt_service::bitfield

Definition at line 93 of file sdt.h.

## ◆ desc_length

uint16_t dvb_table_sdt_service::desc_length

Definition at line 95 of file sdt.h.

## ◆ descriptor

struct dvb_desc* dvb_table_sdt_service::descriptor

Definition at line 100 of file sdt.h.

## ◆ EIT_present_following

uint8_t dvb_table_sdt_service::EIT_present_following

Definition at line 89 of file sdt.h.

## ◆ EIT_schedule

uint8_t dvb_table_sdt_service::EIT_schedule

Definition at line 90 of file sdt.h.

## ◆ free_CA_mode

uint16_t dvb_table_sdt_service::free_CA_mode

Definition at line 96 of file sdt.h.

## ◆ next

struct dvb_table_sdt_service* dvb_table_sdt_service::next

Definition at line 101 of file sdt.h.

## ◆ reserved

uint8_t dvb_table_sdt_service::reserved

Definition at line 91 of file sdt.h.

## ◆ running_status

uint16_t dvb_table_sdt_service::running_status

Definition at line 97 of file sdt.h.

## ◆ service_id

uint16_t dvb_table_sdt_service::service_id

Definition at line 88 of file sdt.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/sdt.h